<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.uas.platform</groupId>
		<artifactId>platform</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>
	<artifactId>b2bManage</artifactId>
	<packaging>war</packaging>
	<version>0.0.1</version>
	<name>b2b-manage Maven Webapp</name>
	<url>http://maven.apache.org</url>
	<dependencies>
		<!-- spring-webmvc -->
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
		</dependency>

		<!-- spring mobile -->
		<dependency>
			<groupId>org.springframework.mobile</groupId>
			<artifactId>spring-mobile-device</artifactId>
		</dependency>

		<!-- log4j -->
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.1.1</version>
		</dependency>

		<!-- fastjson -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
		</dependency>

		<!-- file upload -->
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.3.2</version>
		</dependency>

		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
		</dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
            <version>1.1.6</version>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-orm</artifactId>
        </dependency>

        <!-- jpa -->
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-jpa</artifactId>
        </dependency>

        <!-- hibernate -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>cglib</groupId>
                    <artifactId>cglib</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>dom4j</groupId>
                    <artifactId>dom4j</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjrt</artifactId>
        </dependency>
        <dependency>
            <groupId>org.aspectj</groupId>
            <artifactId>aspectjweaver</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.validation</groupId>
            <artifactId>validation-api</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>jta</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-ehcache</artifactId>
        </dependency>
        <!-- hibernate end -->

		<!-- mysql -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.21</version>
		</dependency>

        <!--oracle-->
        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc6</artifactId>
        </dependency>

		<!-- mysql -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.21</version>
		</dependency>

        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.2</version>
        </dependency>
        <dependency>
            <groupId>com.uas.platform</groupId>
            <artifactId>platform-core</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.uas.account</groupId>
            <artifactId>sso-core</artifactId>
            <version>0.0.1-SNAPSHOT</version>
        </dependency>

		<!-- jxls -->
		<dependency>
			<groupId>net.sf.jxls</groupId>
			<artifactId>jxls-core</artifactId>
			<version>1.0.4</version>
		</dependency>
		<dependency>
			<groupId>net.sf.jxls</groupId>
			<artifactId>jxls-reader</artifactId>
			<version>1.0.4</version>
		</dependency>

        <!-- redis -->
        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <version>2.7.3</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-redis</artifactId>
            <version>1.6.0.RELEASE</version>
        </dependency>

		<!-- 邮件 -->
		<dependency>
			<groupId>com.uas.message</groupId>
			<artifactId>message-mail-api</artifactId>
            <version>0.0.1</version>
		</dependency>

        <!-- dubbo -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>dubbo</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>javax.servlet</groupId>
                    <artifactId>javax.servlet-api</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.httpcomponents</groupId>
                    <artifactId>httpcore</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.github.sgroschupf</groupId>
            <artifactId>zkclient</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.17</version>
        </dependency>
		<dependency>
			<groupId>net.sf.jxls</groupId>
			<artifactId>jxls-core</artifactId>
			<version>1.0.4</version>
		</dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>2.9.0</version>
        </dependency>
        <dependency>
            <groupId>com.jcraft</groupId>
            <artifactId>jsch</artifactId>
            <version>0.1.54</version>
        </dependency>
        <dependency>
            <groupId>ch.ethz.ganymed</groupId>
            <artifactId>ganymed-ssh2</artifactId>
            <version>262</version>
        </dependency>
    </dependencies>
	<build>
		<finalName>b2bManage</finalName>
		<plugins>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>buildnumber-maven-plugin</artifactId>
				<version>1.3</version>
				<executions>
					<execution>
						<phase>validate</phase>
						<goals>
							<goal>create-timestamp</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<format>{0,date,yyyy-MM-dd HH:mm:ss}</format>
					<items>
						<item>timestamp</item>
					</items>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>com.samaxes.maven</groupId>
				<artifactId>minify-maven-plugin</artifactId>
				<version>1.7.4</version>
				<!-- 静态文件压缩  -->
				<executions>
					<execution>
						<id>default-minify</id>
						<phase>prepare-package</phase>
						<configuration>
							<charset>UTF-8</charset>
							<skipMerge>true</skipMerge>
							<closureLanguage>ECMASCRIPT5</closureLanguage>
							<closureAngularPass>true</closureAngularPass>
							<nosuffix>true</nosuffix>
							<webappTargetDir>${project.build.directory}/minify</webappTargetDir>
							<cssSourceDir>resources</cssSourceDir>
							<cssEngine>YUI</cssEngine>
							<jsSourceDir>resources</jsSourceDir>
							<jsEngine>CLOSURE</jsEngine>
							<cssSourceIncludes>
								<cssSourceInclude>css/**/*.css</cssSourceInclude>
								<cssSourceInclude>data/**/*.json</cssSourceInclude>
							</cssSourceIncludes>
							<cssSourceExcludes>
								<cssSourceExclude>css/**/*.min.css</cssSourceExclude>
							</cssSourceExcludes>
							<jsSourceIncludes>
								<jsSourceInclude>js/**/*.js</jsSourceInclude>
							</jsSourceIncludes>
							<jsSourceExcludes>
								<jsSourceExclude>js/**/*.min.js</jsSourceExclude>
							</jsSourceExcludes>
						</configuration>
						<goals>
							<goal>minify</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-resources</id>
						<phase>prepare-package</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>${project.build.directory}/minify</outputDirectory>
							<overwrite>false</overwrite>
							<resources>
								<resource>
									<directory>${basedir}/src/main/webapp</directory>
								</resource>
							</resources>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>com.uas.plugins</groupId>
				<artifactId>static-maven-plugin</artifactId>
				<version>0.0.2-SNAPSHOT</version>
				<!-- 静态资源分离  -->
				<executions>
					<execution>
						<id>default-static</id>
						<phase>prepare-package</phase>
						<configuration>
							<pathMatcher>static</pathMatcher>
							<staticUrl>static</staticUrl>
							<webappDir>${project.build.directory}/minify</webappDir>
							<sourceDir>/</sourceDir>
							<targetDir>${project.build.directory}/statics</targetDir>
							<staticDir>/</staticDir>
							<sourceIncludes>
								<sourceInclude>resources/js/**/*.js</sourceInclude>
								<sourceInclude>resources/data/**/*.json</sourceInclude>
								<sourceInclude>resources/tpl/**/*.html</sourceInclude>
								<sourceInclude>WEB-INF/views/**/*.html</sourceInclude>
							</sourceIncludes>
							http://static.ubtob.com/css/index.css?_v=1450321871828
							<versionSuffix>
								<suffix>?_v=${timestamp}</suffix>
								<exclude>*/require.js,*.min.js,*.min.css</exclude>
							</versionSuffix>
						</configuration>
						<goals>
							<goal>static</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<version>2.4</version>
				<configuration>
					<webResources>
						<resource>
							<directory>${project.build.directory}/statics</directory>
						</resource>
						<resource>
							<directory>${project.build.directory}/minify</directory>
						</resource>
					</webResources>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.tomcat.maven</groupId>
				<artifactId>tomcat7-maven-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<port>80</port>
					<path>/</path>
					<uriEncoding>utf-8</uriEncoding>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<organization>
		<name>usoft</name>
		<url>http://www.usoftchina.com</url>
	</organization>
	<distributionManagement>
		<!-- 发布release仓库 -->
		<repository>
			<id>platform-release</id>
			<name>platform-release</name>
			<url>http://113.105.74.141:8081/artifactory/libs-release-local</url>
		</repository>
		<!-- 发布快照版本 -->
		<snapshotRepository>
			<id>platform-snapshots</id>
			<name>platform-snapshots</name>
			<url>http://113.105.74.141:8081/artifactory/libs-snapshot-local</url>
		</snapshotRepository>
	</distributionManagement>
</project>
